package cn.superdesk.uniorder.dao.mapper.invoice.common;

import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigOffLine;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigOffLineExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InvoiceTypeModeConfigOffLineMapper {

	long countByExample(InvoiceTypeModeConfigOffLineExample example);

	int deleteByExample(InvoiceTypeModeConfigOffLineExample example);

	int deleteByPrimaryKey(Long id);

	int insert(InvoiceTypeModeConfigOffLine record);

	int insertSelective(InvoiceTypeModeConfigOffLine record);

	List<InvoiceTypeModeConfigOffLine> selectByExample(InvoiceTypeModeConfigOffLineExample example);

	InvoiceTypeModeConfigOffLine selectByPrimaryKey(Long id);

	int updateByExampleSelective(@Param("record") InvoiceTypeModeConfigOffLine record, @Param("example") InvoiceTypeModeConfigOffLineExample example);

	int updateByExample(@Param("record") InvoiceTypeModeConfigOffLine record, @Param("example") InvoiceTypeModeConfigOffLineExample example);

	int updateByPrimaryKeySelective(InvoiceTypeModeConfigOffLine record);

	int updateByPrimaryKey(InvoiceTypeModeConfigOffLine record);
}
